Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991687 - [abrt] trustedqsl-1.13-4.fc18: _M_data: Process /usr/bin/tqsl was killed by signal 11 (SIGSEGV)
Summary: [abrt] trustedqsl-1.13-4.fc18: _M_data: Process /usr/bin/tqsl was killed by s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: trustedqsl
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7b3741874c2f5df517063010a95...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-03 16:15 UTC by kb8ecg
Modified: 2014-01-08 07:57 UTC (History)
2 users (show)

Fixed In Version: trustedqsl-2.0.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-08 00:28:58 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-08-03 16:15 UTC, kb8ecg
no flags Details
File: cgroup (deleted)
2013-08-03 16:15 UTC, kb8ecg
no flags Details
File: core_backtrace (deleted)
2013-08-03 16:15 UTC, kb8ecg
no flags Details
File: dso_list (deleted)
2013-08-03 16:15 UTC, kb8ecg
no flags Details
File: environ (deleted)
2013-08-03 16:15 UTC, kb8ecg
no flags Details
File: limits (deleted)
2013-08-03 16:16 UTC, kb8ecg
no flags Details
File: maps (deleted)
2013-08-03 16:16 UTC, kb8ecg
no flags Details
File: open_fds (deleted)
2013-08-03 16:16 UTC, kb8ecg
no flags Details
File: proc_pid_status (deleted)
2013-08-03 16:16 UTC, kb8ecg
no flags Details
File: var_log_messages (deleted)
2013-08-03 16:16 UTC, kb8ecg
no flags Details

Description kb8ecg 2013-08-03 16:15:21 UTC
Version-Release number of selected component:
trustedqsl-1.13-4.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/tqsl -d -l KB8ECG /home/dave/.config/cqrlog/lotw/2013-08-03_12-11-40.adi -x
crash_function: _M_data
executable:     /usr/bin/tqsl
kernel:         3.7.9-201.fc18.i686
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 _M_data at /usr/include/c++/4.7.0/bits/basic_string.h:290
 #1 _M_rep at /usr/include/c++/4.7.0/bits/basic_string.h:298
 #2 size at /usr/include/c++/4.7.0/bits/basic_string.h:713
 #3 operator==<char> at /usr/include/c++/4.7.0/bits/basic_string.h:2494
 #4 find_next_page at location.cpp:1409
 #5 tqsl_hasNextStationLocationCapture at location.cpp:1453
 #6 tqsl_getStationLocation at location.cpp:1891
 #7 QSLApp::OnInit at tqsl.cpp:1153
 #8 wxEntry at src/common/init.cpp:432

Comment 1 kb8ecg 2013-08-03 16:15:27 UTC
Created attachment 782332 [details]
File: backtrace

Comment 2 kb8ecg 2013-08-03 16:15:31 UTC
Created attachment 782333 [details]
File: cgroup

Comment 3 kb8ecg 2013-08-03 16:15:36 UTC
Created attachment 782334 [details]
File: core_backtrace

Comment 4 kb8ecg 2013-08-03 16:15:46 UTC
Created attachment 782335 [details]
File: dso_list

Comment 5 kb8ecg 2013-08-03 16:15:54 UTC
Created attachment 782336 [details]
File: environ

Comment 6 kb8ecg 2013-08-03 16:16:01 UTC
Created attachment 782337 [details]
File: limits

Comment 7 kb8ecg 2013-08-03 16:16:15 UTC
Created attachment 782338 [details]
File: maps

Comment 8 kb8ecg 2013-08-03 16:16:20 UTC
Created attachment 782339 [details]
File: open_fds

Comment 9 kb8ecg 2013-08-03 16:16:23 UTC
Created attachment 782340 [details]
File: proc_pid_status

Comment 10 kb8ecg 2013-08-03 16:16:27 UTC
Created attachment 782341 [details]
File: var_log_messages

Comment 11 Richard Shaw 2013-12-20 14:29:08 UTC
I'm building trustedqsl 2.0.1 which has changed a lot and may or may not have this same issue. I'm going to close this bug as part of the release, please reopen if this happens with the new version.

Comment 12 Fedora Update System 2013-12-20 14:32:51 UTC
trustedqsl-2.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trustedqsl-2.0.1-1.el6

Comment 13 Fedora Update System 2013-12-20 14:33:02 UTC
trustedqsl-2.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/trustedqsl-2.0.1-1.fc19

Comment 14 Fedora Update System 2013-12-20 14:33:16 UTC
trustedqsl-2.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/trustedqsl-2.0.1-1.fc20

Comment 15 Fedora Update System 2013-12-21 02:09:37 UTC
Package trustedqsl-2.0.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing trustedqsl-2.0.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23690/trustedqsl-2.0.1-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora End Of Life 2013-12-21 14:25:29 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora Update System 2014-01-08 00:28:58 UTC
trustedqsl-2.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-01-08 07:53:41 UTC
trustedqsl-2.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-01-08 07:57:27 UTC
trustedqsl-2.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.